import {IsObject} from "../../../source/constraints/isobject.mjs";
import {expect} from "chai"

describe('IsObject', function () {

    describe('.isValid()', function () {
        let constraint = new IsObject()

        it('should resolve promise', function (done) {
            constraint.isValid({}).then(r => {
                expect(r).is.a('object');
                done();
            }).catch(e => {
                done(new Error("should not reached: " + e));
            })
        });

    });

});

